{"openapi":"3.0.4","info":{"title":"Set Amortisation Rules on an existing Amortisation Rule Set.","description":"Sets the rules on the Amortisation Rule Set, replacing the existing rules with the set provided.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/amortisation/rulesets/{scope}/{code}/rules":{"put":{"tags":["Amortisation Rule Sets"],"summary":"Set Amortisation Rules on an existing Amortisation Rule Set.","description":"Sets the rules on the Amortisation Rule Set, replacing the existing rules with the set provided.","operationId":"SetAmortisationRules","parameters":[{"name":"scope","in":"path","description":"The rule set scope.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The rule set code.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"requestBody":{"description":"The contents of the rules.","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/SetAmortisationRulesRequest"},"example":{"rulesInterval":{"effectiveRange":{"fromDate":"2024-01-01T00:00:00.0000000+00:00"},"rules":[{"name":"AmortisationRule1","description":"Rule 1 Description","filter":"True eq True","amortisationMethod":"EffectiveYield"}]}}},"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/SetAmortisationRulesRequest"},"example":{"rulesInterval":{"effectiveRange":{"fromDate":"2024-01-01T00:00:00.0000000+00:00"},"rules":[{"name":"AmortisationRule1","description":"Rule 1 Description","filter":"True eq True","amortisationMethod":"EffectiveYield"}]}}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/SetAmortisationRulesRequest"},"example":{"rulesInterval":{"effectiveRange":{"fromDate":"2024-01-01T00:00:00.0000000+00:00"},"rules":[{"name":"AmortisationRule1","description":"Rule 1 Description","filter":"True eq True","amortisationMethod":"EffectiveYield"}]}}},"application/*+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/SetAmortisationRulesRequest"},"example":{"rulesInterval":{"effectiveRange":{"fromDate":"2024-01-01T00:00:00.0000000+00:00"},"rules":[{"name":"AmortisationRule1","description":"Rule 1 Description","filter":"True eq True","amortisationMethod":"EffectiveYield"}]}}}},"required":true},"responses":{"200":{"description":"Update the rules for an amortisation rule set.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/AmortisationRuleSet"},"example":{"id":{"scope":"RuleSetScope","code":"RuleSetCode"},"displayName":"RuleSetDisplayName","description":"RuleSet Description","rulesInterval":{"effectiveRange":{"fromDate":"2024-01-01T00:00:00.0000000+00:00"},"rules":[{"name":"Rule1","description":"Description","filter":"True eq True","amortisationMethod":"EffectiveYield"}]}}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/AmortisationRuleSet"},"example":{"id":{"scope":"RuleSetScope","code":"RuleSetCode"},"displayName":"RuleSetDisplayName","description":"RuleSet Description","rulesInterval":{"effectiveRange":{"fromDate":"2024-01-01T00:00:00.0000000+00:00"},"rules":[{"name":"Rule1","description":"Description","filter":"True eq True","amortisationMethod":"EffectiveYield"}]}}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/AmortisationRuleSet"},"example":{"id":{"scope":"RuleSetScope","code":"RuleSetCode"},"displayName":"RuleSetDisplayName","description":"RuleSet Description","rulesInterval":{"effectiveRange":{"fromDate":"2024-01-01T00:00:00.0000000+00:00"},"rules":[{"name":"Rule1","description":"Description","filter":"True eq True","amortisationMethod":"EffectiveYield"}]}}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Experimental"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}